curl --request GET \
--url https://api.aisa.one/apis/v1/fred/series/updates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/series/updates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/series/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/series/updates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/series/updates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/series/updates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/series/updates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyGet Series Updates
curl --request GET \
--url https://api.aisa.one/apis/v1/fred/series/updates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/series/updates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/series/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/series/updates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/series/updates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/series/updates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/series/updates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyRequest contract
- Method and path: GET /apis/v1/fred/series/updates
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/fred/series/updates
- end_time: query; required
- file_type: query; optional
- filter_value: query; optional
- limit: query; optional
- offset: query; optional
- realtime_end: query; optional
- realtime_start: query; optional
- start_time: query; required
- Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
{
"operationId": "any_fred_apis_v1_fred_series_updates",
"method": "GET",
"path": "/apis/v1/fred/series/updates",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"name": "end_time",
"in": "query",
"required": true,
"schema": {
"type": "string"
},
"description": "End time for limiting results for a time range, can filter down to minutes\nYYYYMMDDHhmm formatted string, optional, , start_time is required if end_time is set <\nExample: 2018-03-02 2:20 would be 201803020220",
"x-aisa-reference-declarations": [
"YYYYMMDDHhmm formatted string, optional, , start_time is required if end_time is set <",
"Example: 2018-03-02 2:20 would be 201803020220"
]
},
{
"name": "file_type",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"xml",
"json"
],
"default": "xml"
},
"description": "A key or file extension that indicates the type of file to send.\nstring, optional, default: xml\nOne of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.\nxml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.",
"x-aisa-reference-declarations": [
"string, optional, default: xml",
"One of the following values: 'xml', 'json'"
]
},
{
"name": "filter_value",
"in": "query",
"required": false,
"schema": {
"type": "string",
"default": "'all'"
},
"description": "Limit results by geographic type of economic data series; namely 'macro', 'regional', and 'all'.\nString, optional, default: 'all' meaning no filter.\nOne of the values: 'macro', 'regional', 'all'\n'macro' limits results to macroeconomic data series. In general, these are series for entire countries that are not subregions of the United States. 'regional' limits results to series for parts of the US; namely, series for US states, counties, and Metropolitan Statistical Areas (MSA). 'all' does not filter results.",
"x-aisa-reference-declarations": [
"String, optional, default: 'all' meaning no filter.",
"One of the values: 'macro', 'regional', 'all'",
"'macro' limits results to macroeconomic data series. In general, these are series for entire countries that are not subregions of the United States. 'regional' limits results to series for parts of the US; namely, series for US states, counties, and Metropolitan Statistical Areas (MSA). 'all' does not filter results."
]
},
{
"name": "limit",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 1000,
"default": 1000
},
"description": "The maximum number of results to return.\ninteger between 1 and 1000, optional, default: 1000",
"x-aisa-reference-declarations": [
"integer between 1 and 1000, optional, default: 1000"
]
},
{
"name": "offset",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 0,
"default": 0
},
"description": "non-negative integer, optional, default: 0",
"x-aisa-reference-declarations": [
"non-negative integer, optional, default: 0"
]
},
{
"name": "realtime_end",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The end of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"name": "realtime_start",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The start of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"name": "start_time",
"in": "query",
"required": true,
"schema": {
"type": "string"
},
"description": "Start time for limiting results for a time range, can filter down to minutes\nYYYYMMDDHhmm formatted string, optional, end_time is required if start_time is set\nExample: 2018-03-02 14:20 would be 201803021420",
"x-aisa-reference-declarations": [
"YYYYMMDDHhmm formatted string, optional, end_time is required if start_time is set",
"Example: 2018-03-02 14:20 would be 201803021420"
]
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 1e-05,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 1e-05
- Cost contract: fixed_success
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
End time for limiting results for a time range, can filter down to minutes YYYYMMDDHhmm formatted string, optional, , start_time is required if end_time is set < Example: 2018-03-02 2:20 would be 201803020220
A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.
xml, json Limit results by geographic type of economic data series; namely 'macro', 'regional', and 'all'. String, optional, default: 'all' meaning no filter. One of the values: 'macro', 'regional', 'all' 'macro' limits results to macroeconomic data series. In general, these are series for entire countries that are not subregions of the United States. 'regional' limits results to series for parts of the US; namely, series for US states, counties, and Metropolitan Statistical Areas (MSA). 'all' does not filter results.
The maximum number of results to return. integer between 1 and 1000, optional, default: 1000
1 <= x <= 1000non-negative integer, optional, default: 0
x >= 0The end of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
The start of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
Start time for limiting results for a time range, can filter down to minutes YYYYMMDDHhmm formatted string, optional, end_time is required if start_time is set Example: 2018-03-02 14:20 would be 201803021420
Response
Successful response